Ruby on Rails チュートリアル2周目を最新バージョンとPostgreSQLを使ってやってみた

Ruby on Rails チュートリアル2週目の学習をするにあたり、同じアプリケーションを作るのでは勉強にならないので、RubyやRailsその他gemは最新バージョンで、データベースはPostgreSQLを使って復習することにしました。

【Rails】Bootstrap4で.has-errorが廃止されたらしい

今回は、Railsチュートリアルとbootstrapのバージョンが違うことが原因でレイアウトが崩れてしまう不具合が生じたので、解決するまで調べた事をまとめてみました。 バージョン 今回作成するwebアプリケーションはRuby,Gemをすべて最新バージョンで作成しています。(Rails6からgemでwebpackerが標準導入されているので、bootstrapはyarnでインストールしています。 ) […]